For the complete documentation index, see llms.txt. This page is also available as Markdown.

Plugins

Cedana API for plugin distribution

Download the cedana binary.

get
Query parameters
versionstringOptional

Exact version match, e.g. 0.9.2

archstringOptional

Architecture, e.g. amd64

buildstringOptional

Build type: alpha|release

exactstringOptional

set to true to fetch with exact repository name and build name

Responses
302

Redirects to a presigned S3 URL for the cedana binary

No content

get/v1/download
GET /v1/download HTTP/1.1
Accept: */*

No content

Download install-release.sh from cedana.

get
Query parameters
versionstringOptional

Exact version match, e.g. 0.9.2

archstringOptional

Architecture, e.g. amd64

buildstringOptional

Build type: alpha|release

exactstringOptional

set to true to fetch with exact repository name and build name

Responses
302

Redirects to a presigned S3 URL for install-release.sh

No content

get/v1/install
GET /v1/install HTTP/1.1
Accept: */*

No content

Download install-release.sh from cedana-slurm.

get
Query parameters
versionstringOptional

Exact version match, e.g. 0.9.2

archstringOptional

Architecture, e.g. amd64

buildstringOptional

Build type: alpha|release

exactstringOptional

set to true to fetch with exact repository name and build name

Responses
302

Redirects to a presigned S3 URL for cedana-slurm install-release.sh

No content

get/v1/install/slurm
GET /v1/install/slurm HTTP/1.1
Accept: */*

No content

List plugins available in S3.

get

Supports direct query params (names, compatibility, arch, build)

Query parameters
namesstringOptional

Comma-separated plugin names, e.g. cedana,runc; each may pin a version with name@version

compatibilitystringOptional

Exact version match, e.g. 0.9.2

archstringOptional

Architecture, e.g. amd64

buildstringOptional

Build type: alpha|release

Responses
200

Returns matching plugins

application/json
latest_versionstringOptional
namestringRequired
published_atstring · date-timeRequired
sizeinteger · int64Optional
statusstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
versionstringRequired
get/v1/plugins
GET /v1/plugins HTTP/1.1
Accept: */*
[
  {
    "binaries": [
      {
        "checksum": null,
        "install_dir": "text",
        "name": "text"
      }
    ],
    "latest_version": "text",
    "libraries": [
      {
        "checksum": null,
        "install_dir": "text",
        "name": "text"
      }
    ],
    "name": "text",
    "published_at": "2026-01-01T00:00:00.000Z",
    "size": 1,
    "status": "UNKNOWN",
    "type": "UNIMPLEMENTED",
    "version": "text"
  }
]

Download plugin binary/library.

get
Path parameters
binary_namestringRequired
Query parameters
versionstringOptional

Exact version match, e.g. 0.9.2

archstringOptional

Architecture, e.g. amd64

buildstringOptional

Build type: alpha|release

exactstringOptional

set to true to fetch with exact repository name and build name

Responses
302

Redirects to a presigned S3 URL for the plugin binary

No content

get/v1/plugins/download/{binary_name}
GET /v1/plugins/download/{binary_name} HTTP/1.1
Accept: */*

No content

Upload binaries/libraries to S3.

post
Path parameters
namestringRequired
Body
archstring · nullableOptional
buildstring · nullableOptional
checksumstring · nullableOptional
repositorystringOptional
versionstring · nullableOptional
Responses
200

Uploaded plugins

application/json
latest_upload_urlstringRequired
version_upload_urlstringRequired
post/v1/plugins/upload/{name}
POST /v1/plugins/upload/{name} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "arch": null,
  "build": null,
  "checksum": null,
  "repository": "text",
  "version": null
}
{
  "latest_upload_url": "text",
  "version_upload_url": "text"
}

Last updated

Was this helpful?